#!/bin/sh
#
# Excercise pl and pltab..
#
# MODES are png, gif, eps, ps, x11
#
#
# User will see anything written to stdout.
# Stderr will be captured.
#


OPTS=-showargs

for MODE in png eps gif
do
	echo "***** $MODE mode *****"

	pl -$MODE $OPTS  stock2.htm
	pl -$MODE $OPTS  timely.htm
	echo "Note: some numbers should have appeared above..
	" >&2
	pl -$MODE $OPTS  kmslide.htm
	pl -$MODE $OPTS  propbars1.htm
	pl -$MODE $OPTS  td.htm
	echo "5 plots done"
	pl -$MODE $OPTS  distrib.htm
	pl -$MODE $OPTS  errbar5.htm
	echo "Note: some warnings are ok in errbar5..
	" >&2
	pl -$MODE $OPTS  multiscat.htm
	pl -$MODE $OPTS  errbar1.htm
	pl -$MODE $OPTS  devol.htm
	echo "10 plots done"
	pl -$MODE $OPTS  lineplot4.htm
	pl -$MODE $OPTS  lineplot5.htm
	pl -$MODE $OPTS  pie1.htm
	pl -$MODE $OPTS  bars3.htm
	pl -$MODE $OPTS  quarters.htm
	echo "15 plots done"
	pl -$MODE $OPTS  timeline2.htm
	pl -$MODE $OPTS  scatterplot4.htm
	pl -$MODE $OPTS  annot2.htm
	pl -$MODE $OPTS  drawcom.htm
	pl -$MODE $OPTS  hitcount3.htm
	echo "Note: there should be 8 'warning: time is outside of window range' msgs above..
" >&2
	echo "20 plots done"
	
	if [ "$MODE" = "eps" -o "$MODE" = "ps" ]; then
	  pltab -ps $OPTS  checklist.tab > checklist.ps
	else
	  
	  pltab -$MODE $OPTS  -scale 0.6 checklist.tab
	  if [ "$MODE" != "x11" ]; then
	    mv out.$MODE checklistp1.$MODE
	    mv outp2.$MODE checklistp2.$MODE
	    mv outp3.$MODE checklistp3.$MODE
	  fi
	fi
	
	if [ "$MODE" = "eps" -o "$MODE" = "ps" ]; then
	 pltab -ps $OPTS  timewin.tab > timewin.ps
	else
	  pltab -$MODE $OPTS  -scale 0.6 timewin.tab
	  if [ "$MODE" != "x11" ]; then
	    mv out.$MODE timewinp1.$MODE
	    mv outp2.$MODE timewinp2.$MODE
	  fi
	fi
	echo "finished with $MODE"
	
done
